=pod

=head1 NAME

DH_size, DH_bits - get Diffie-Hellman prime size

=head1 SYNOPSIS

#include <openssl/dh.h>

int DH_size(const DH *dh);

int DH_bits(const DH *dh);

=head1 DESCRIPTION

DH_size() returns the Diffie-Hellman prime size in bytes. It can be used
to determine how much memory must be allocated for the shared secret
computed by DH_compute_key().

DH_bits() returns the number of significant bits.

B<dh> and B<dh-E<gt>p> must not be B<NULL>.

=head1 RETURN VALUE

The size.

=head1 SEE ALSO

L<dh(3)>, L<DH_generate_key(3)>,
L<BN_num_bits(3)>

=head1 HISTORY

DH_bits() was added in OpenSSL 1.1.0.

=cut
